.societyDetailContainer {display: grid; grid-template-columns: minmax(0, 1fr) minmax(0, 200px); gap: 24px; width: 100%;}
.societyDetailContainer .right {max-width: 200px; width: 100%;}
.societyDetailContainer:has(.left:empty) { grid-template-columns: 1fr; }
.societyDetailContainer:has(.left:empty) .right { max-width: none; justify-self: center; text-align: center;}